[ubuntu/groovy-proposed] ruby2.7 2.7.0-6ubuntu1 (Accepted)

Gianfranco Costamagna locutusofborg at debian.org
Mon Apr 27 08:50:18 UTC 2020


ruby2.7 (2.7.0-6ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - fix riscv64 build

ruby2.7 (2.7.0-6) unstable; urgency=medium

  * Add patch to fix FTBFS on x32: misdetected as i386 or amd64
    (Closes: #954293)
  * d/rules: add -fno-crossjumping to CFLAGS (Closes: #951714)
  * Make 64-bit-only symbols optional to fix FTBFS on i386/armhf

Date: Sat, 25 Apr 2020 23:44:34 +0200
Changed-By: Gianfranco Costamagna <locutusofborg at debian.org>
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers at lists.alioth.debian.org>
https://launchpad.net/ubuntu/+source/ruby2.7/2.7.0-6ubuntu1
-------------- next part --------------
Format: 1.8
Date: Sat, 25 Apr 2020 23:44:34 +0200
Source: ruby2.7
Binary: ruby2.7 libruby2.7 ruby2.7-dev ruby2.7-doc
Architecture: source
Version: 2.7.0-6ubuntu1
Distribution: groovy
Urgency: medium
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers at lists.alioth.debian.org>
Changed-By: Gianfranco Costamagna <locutusofborg at debian.org>
Description:
 libruby2.7 - Libraries necessary to run Ruby 2.7
 ruby2.7    - Interpreter of object-oriented scripting language Ruby
 ruby2.7-dev - Header files for compiling extension modules for the Ruby 2.7
 ruby2.7-doc - Documentation for Ruby 2.7
Closes: 951714 954293
Changes:
 ruby2.7 (2.7.0-6ubuntu1) groovy; urgency=low
 .
   * Merge from Debian unstable.  Remaining changes:
     - fix riscv64 build
 .
 ruby2.7 (2.7.0-6) unstable; urgency=medium
 .
   * Add patch to fix FTBFS on x32: misdetected as i386 or amd64
     (Closes: #954293)
   * d/rules: add -fno-crossjumping to CFLAGS (Closes: #951714)
   * Make 64-bit-only symbols optional to fix FTBFS on i386/armhf
Checksums-Sha1:
 ae4957279e9dadb9476aa85680834e9273220496 2491 ruby2.7_2.7.0-6ubuntu1.dsc
 f4973cda9ed8749e0e977b233551a11cb6db4957 111820 ruby2.7_2.7.0-6ubuntu1.debian.tar.xz
 6c44552671fdace91b71e77caf521190c51cf571 8081 ruby2.7_2.7.0-6ubuntu1_source.buildinfo
Checksums-Sha256:
 3d6b2b6442282089368fda7cf8a944a06cd4978f543689593625ee1fc9a45c6b 2491 ruby2.7_2.7.0-6ubuntu1.dsc
 1df723f1c3e7d711a8fd62b256060c412a53a1b4223a728a498c7d768daa2578 111820 ruby2.7_2.7.0-6ubuntu1.debian.tar.xz
 ff6e99882611050b4bd597f24eb017ae23f53c0655114a32ced69090cbadb7a1 8081 ruby2.7_2.7.0-6ubuntu1_source.buildinfo
Files:
 f8bea75150bc26300573b10b10a854f2 2491 ruby optional ruby2.7_2.7.0-6ubuntu1.dsc
 1402fea47009890fe89b66294eb712d8 111820 ruby optional ruby2.7_2.7.0-6ubuntu1.debian.tar.xz
 f741c31f717530da3d54aa9d8c10326f 8081 ruby optional ruby2.7_2.7.0-6ubuntu1_source.buildinfo


More information about the Groovy-changes mailing list